deriveAccount

Derive returns the AccountIdentifier associated with a public key.

Blockchains that require an on-chain action to create an account should not implement this method.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

ConstructionDeriveRequest is passed to the /construction/derive endpoint. Network is provided in the request because some blockchains have different address formats for different networks. Metadata is provided in the request because some blockchains allow for multiple address types (i.e. different address for validators vs normal accounts).

network_identifier
object
required

The network_identifier specifies which network a particular object is associated with.

public_key
object
required

PublicKey contains a public key byte array for a particular CurveType encoded in hex.

Note that there is no PrivateKey struct as this is NEVER the concern of an implementation.

metadata
object
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json